Prerequests for SyncoveryCL

English Support for Syncovery on Linux etc.
Post Reply
Stefan
Posts: 32
Joined: Sat Apr 04, 2020 6:52 pm

Prerequests for SyncoveryCL

Post by Stefan »

If you plan to use the linux version, you need to install some packages to be able to run syncovery. As I provide an unofficial docker container (viewtopic.php?f=17&t=13) I needed to figure this out on my own.

This is a copy of what to do based on my docker containers. Feel free to comment or to add other distributions. And let me know if something is not working. (https://github.com/MyUncleSam/docker-syncovery)

Ubuntu 18.04/20.04:

Code: Select all

apt-get update 
apt-get install -y openssl libcrypto++6 libssl-dev sqlite3 libsqlite3-0 libsmbclient
Alpine:
In alpine you need to install glibc because without syncovery is unable to run (file not found messages).

Code: Select all

apk update
apk add wget openssl libressl-dev zlib zlib-dev sqlite sqlite-libs libcrypto1.1 libsmbclient

wget -q -O /etc/apk/keys/sgerrand.rsa.pub https://alpine-pkgs.sgerrand.com/sgerrand.rsa.pub
wget -q -O /tmp/glibc.apk https://github.com/sgerrand/alpine-pkg-glibc/releases/download/2.31-r0/glibc-2.31-r0.apk
wget -q -O /tmp/glibc-bin.apk https://github.com/sgerrand/alpine-pkg-glibc/releases/download/2.31-r0/glibc-bin-2.31-r0.apk
wget -q -O /tmp/glibc-dev.apk https://github.com/sgerrand/alpine-pkg-glibc/releases/download/2.31-r0/glibc-dev-2.31-r0.apk
wget -q -O /tmp/glibc-i18n.apk https://github.com/sgerrand/alpine-pkg-glibc/releases/download/2.31-r0/glibc-i18n-2.31-r0.apk

apk add /tmp/glibc.apk /tmp/glibc-bin.apk /tmp/glibc-dev.apk /tmp/glibc-i18n.apk
rm -R /tmp/*

LD_LIBRARY_PATH=/lib:/usr/local/lib:/usr/bin
export LD_LIBRARY_PATH

Post Reply